Document reranking endpoint
curl --request POST \
--url https://cloud-api.near.ai/v1/rerank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documents": [
"<string>"
],
"model": "<string>",
"query": "<string>",
"return_documents": true,
"top_n": 1
}
'import requests
url = "https://cloud-api.near.ai/v1/rerank"
payload = {
"documents": ["<string>"],
"model": "<string>",
"query": "<string>",
"return_documents": True,
"top_n": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documents: ['<string>'],
model: '<string>',
query: '<string>',
return_documents: true,
top_n: 1
})
};
fetch('https://cloud-api.near.ai/v1/rerank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/rerank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documents' => [
'<string>'
],
'model' => '<string>',
'query' => '<string>',
'return_documents' => true,
'top_n' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/rerank"
payload := strings.NewReader("{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud-api.near.ai/v1/rerank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/rerank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"model": "<string>",
"results": [
{
"index": 123,
"relevance_score": 123,
"document": "<unknown>"
}
],
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Rerank
Document reranking endpoint
Ranks documents by relevance to a query using a reranker model.
Concurrent Request Limits: Each organization has a per-model concurrent request limit (default: 64). When the limit is reached, new requests will fail with 429 status code. Wait for in-flight requests to complete before retrying.
POST
/
v1
/
rerank
Document reranking endpoint
curl --request POST \
--url https://cloud-api.near.ai/v1/rerank \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"documents": [
"<string>"
],
"model": "<string>",
"query": "<string>",
"return_documents": true,
"top_n": 1
}
'import requests
url = "https://cloud-api.near.ai/v1/rerank"
payload = {
"documents": ["<string>"],
"model": "<string>",
"query": "<string>",
"return_documents": True,
"top_n": 1
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
documents: ['<string>'],
model: '<string>',
query: '<string>',
return_documents: true,
top_n: 1
})
};
fetch('https://cloud-api.near.ai/v1/rerank', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://cloud-api.near.ai/v1/rerank",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'documents' => [
'<string>'
],
'model' => '<string>',
'query' => '<string>',
'return_documents' => true,
'top_n' => 1
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://cloud-api.near.ai/v1/rerank"
payload := strings.NewReader("{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://cloud-api.near.ai/v1/rerank")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://cloud-api.near.ai/v1/rerank")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"documents\": [\n \"<string>\"\n ],\n \"model\": \"<string>\",\n \"query\": \"<string>\",\n \"return_documents\": true,\n \"top_n\": 1\n}"
response = http.request(request)
puts response.read_body{
"id": "<string>",
"model": "<string>",
"results": [
{
"index": 123,
"relevance_score": 123,
"document": "<unknown>"
}
],
"usage": {
"prompt_tokens": 123,
"total_tokens": 123
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}{
"error": {
"message": "<string>",
"type": "<string>",
"code": "<string>",
"param": "<string>"
}
}Authorizations
Body
application/json
Request for document reranking